BEGIN ~BRUKRA~


IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",2)~ THEN BEGIN Brukra0 // from:
  SAY @0
  IF ~~ THEN REPLY @1 GOTO Brukra1
  IF ~~ THEN REPLY @2 GOTO Brukra6
  IF ~!Global("RukrakiaFMActive","GLOBAL",1)~ THEN REPLY @3 GOTO Brukra7
END

IF ~~ THEN BEGIN Brukra1 // from:
  SAY @4
  IF ~~ THEN REPLY @5 GOTO Brukra2
  IF ~OR(3)
      Alignment(Protagonist, LAWFUL_EVIL)
      Alignment(Protagonist, NEUTRAL_EVIL)
      Alignment(Protagonist, CHAOTIC_EVIL)
      !Gender(Protagonist,FEMALE)~ THEN REPLY @6 GOTO Brukra3
END

IF ~~ THEN BEGIN Brukra2 // from:
  SAY @7
  IF ~!Global("RukrakiaFMActive","GLOBAL",1)~ THEN REPLY @8 GOTO Brukra7
  IF ~Global("RukrakiaFMActive","GLOBAL",1)~ THEN REPLY @33 GOTO Brukra16
END

IF ~~ THEN BEGIN Brukra16 // from:
  SAY @34
  IF ~~ THEN DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra3 // from:
  SAY @9 = @350 = @351 = @352
  IF ~~ THEN REPLY @10 GOTO Brukra4
  IF ~~ THEN REPLY @11 GOTO Brukra4
  IF ~CheckStatGT(Protagonist,11,WIS)
      !Global("RukrakiaFMActive","GLOBAL",1)~ THEN REPLY @12 GOTO Brukra5
END

IF ~~ THEN BEGIN Brukra4 // from:
  SAY @13 = @353
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN Brukra5 // from:
  SAY @14 = @354 = @355
  IF ~~ THEN REPLY @15 DO ~SetGlobal("RukrakiaFirstNight","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra6 // from:
  SAY @16
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 SetGlobal("RukrakiaSezarMeeting","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra7 // from:
  SAY @17 = @346 = @347
  IF ~~ THEN REPLY @18 GOTO Brukra8
  IF ~~ THEN REPLY @348 GOTO 8add
END

IF ~~ THEN BEGIN Brukra8 // from:
  SAY @19
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8add // from:
  SAY @349
  IF ~~ THEN EXIT
END

IF ~!StateCheck(Protagonist,STATE_SLEEPING)
    Global("RukrakiaFirstNight","LOCALS",2)~ THEN BEGIN Brukra9 // from:
  SAY @20 = @356 = @21
  IF ~~ THEN REPLY @22 GOTO Brukra10
  IF ~~ THEN REPLY @357 DO ~SetGlobal("RukrakiaFirstNight","GLOBAL",3)
                            SetGlobal("RukrakiaSezarMeeting","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra10 // from:
  SAY @23
  IF ~~ THEN REPLY @24 GOTO Brukra11
END

IF ~~ THEN BEGIN Brukra11 // from:
  SAY @25
  IF ~~ THEN DO ~SetGlobal("RukrakiaFirstNight","GLOBAL",3)
                 SetGlobal("RukrakiaSezarMeeting","GLOBAL",1)~ EXIT
END

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",4)
 OR(2)
 !Global("RukrakiaFirstNight","LOCALS",3)
 !Global("RukrakiaFMActive","GLOBAL",1)~ THEN BEGIN Brukra12 // from:
  SAY @26 = @358 = @359
  IF ~~ THEN REPLY @27 GOTO Brukra13
  IF ~~ THEN REPLY @28 GOTO Brukra14
  IF ~Global("RukrakiaRomanceActive","GLOBAL",3)~ THEN REPLY @29 GOTO Brukra15
END

IF ~~ THEN BEGIN Brukra13 // from:
  SAY @30
  IF ~~ THEN DO ~IncrementGlobal("RukrakiaRomanceActive","GLOBAL",-1)~ EXIT
END

IF ~~ THEN BEGIN Brukra14 // from:
  SAY @31 = @360
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN Brukra15 // from:
  SAY @32 = @360
  IF ~~ THEN DO ~IncrementGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",8)~ THEN BEGIN Brukra17 // from:
  SAY @35 = @361 = @362
  IF ~~ THEN REPLY @36 GOTO Brukra18
  IF ~~ THEN REPLY @37 GOTO Brukra22
END

IF ~~ THEN BEGIN Brukra18 // from:
  SAY @38 = @363 = @364 = @365
  IF ~~ THEN REPLY @39 GOTO Brukra19
  IF ~~ THEN REPLY @40 GOTO Brukra21
END

IF ~~ THEN BEGIN Brukra19 // from:
  SAY @41 = @367 = @368
  IF ~~ THEN REPLY @42 GOTO Brukra20
  IF ~~ THEN REPLY @369 GOTO 20add
END

IF ~~ THEN BEGIN Brukra20 // from:
  SAY @43
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 20add // from:
  SAY @370
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra21 // from:
  SAY @366 = @44
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra22 // from:
  SAY @45
  IF ~~ THEN REPLY @46 GOTO Brukra23
  IF ~~ THEN REPLY @47 GOTO Brukra24
END

IF ~~ THEN BEGIN Brukra23 // from:
  SAY @48 = @371
  IF ~~ THEN REPLY @49 GOTO 23add
END

IF ~~ THEN BEGIN 23add // from:
  SAY @372 = @373
  IF ~~ THEN REPLY @374 GOTO 23add2
END

IF ~~ THEN BEGIN 23add2 // from:
  SAY @375
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra24 // from:
  SAY @50
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END


IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",10)~ THEN BEGIN Brukra25 // from:
  SAY @51
  IF ~~ THEN REPLY @52 GOTO Brukra26
  IF ~~ THEN REPLY @53 GOTO Brukra27
END

IF ~~ THEN BEGIN Brukra26 // from:
  SAY @54
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra27 // from:
  SAY @55
  IF ~~ THEN REPLY @56 GOTO Brukra28
END

IF ~~ THEN BEGIN Brukra28 // from:
  SAY @57 = @58
  IF ~~ THEN REPLY @59 GOTO Brukra29
END

IF ~~ THEN BEGIN Brukra29 // from:
  SAY @60 = @376
  IF ~~ THEN REPLY @61 GOTO Brukra30
END

IF ~~ THEN BEGIN Brukra30 // from:
  SAY @62
  IF ~~ THEN REPLY @63 GOTO Brukra31
END

IF ~~ THEN BEGIN Brukra31 // from:
  SAY @64
  IF ~~ THEN REPLY @65 GOTO Brukra64
END

IF ~~ THEN BEGIN Brukra64 // from:
  SAY @66
  IF ~~ THEN EXIT
END


IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",12)~ THEN BEGIN Brukra32 // from:
  SAY @67
  IF ~~ THEN REPLY @68 GOTO Brukra34
  IF ~~ THEN REPLY @69 GOTO Brukra33
END

IF ~~ THEN BEGIN Brukra33 // from:
  SAY @70
  IF ~~ THEN REPLY @71 GOTO Brukra35
  IF ~~ THEN REPLY @377 GOTO Brukra35
END

IF ~~ THEN BEGIN Brukra34 // from:
  SAY @73
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra35 // from:
  SAY @72
  IF ~~ THEN REPLY @74 GOTO Brukra36
END

IF ~~ THEN BEGIN Brukra36 // from:
  SAY @75
  IF ~~ THEN REPLY @76 GOTO Brukra37
END

IF ~~ THEN BEGIN Brukra37 // from:
  SAY @77
  IF ~~ THEN EXIT
END



IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",14)~ THEN BEGIN Brukra38 // from:
  SAY @78
  IF ~~ THEN REPLY @79 GOTO Brukra43
  IF ~~ THEN REPLY @80 GOTO Brukra40
  IF ~~ THEN REPLY @81 GOTO Brukra39
END

IF ~~ THEN BEGIN Brukra39 // from:
  SAY @82
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra40 // from:
  SAY @83 = @84 = @85 = @378 
  IF ~~ THEN REPLY @86 GOTO Brukra41
  IF ~~ THEN REPLY @87 GOTO Brukra42
END

IF ~~ THEN BEGIN Brukra41 // from:
  SAY @88
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra42 // from:
  SAY @89
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra43 // from:
  SAY @90 = @85 = @378
  IF ~~ THEN REPLY @86 GOTO Brukra41
  IF ~~ THEN REPLY @87 GOTO Brukra42
END


IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",16)~ THEN BEGIN Brukra44 // from:
  SAY @91
  IF ~~ THEN REPLY @92 GOTO Brukra45
  IF ~~ THEN REPLY @93 GOTO Brukra48
  IF ~~ THEN REPLY @94 GOTO Brukra49
END

IF ~~ THEN BEGIN Brukra45 // from:
  SAY @95
  IF ~~ THEN REPLY @96 GOTO Brukra46
END

IF ~~ THEN BEGIN Brukra46 // from:
  SAY @97 = @98 = @99 = @379
  IF ~~ THEN REPLY @100 GOTO Brukra47
END

IF ~~ THEN BEGIN Brukra47 // from:
  SAY @101
  IF ~~ THEN DO ~DestroyItem("rukbrac1")
                 ApplySpellRES("rukbraci",Myself)~ EXIT
END

IF ~~ THEN BEGIN Brukra48 // from:
  SAY @102
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra49 // from:
  SAY @103
  IF ~~ THEN REPLY @104 GOTO Brukra50
END

IF ~~ THEN BEGIN Brukra50 // from:
  SAY @105
  IF ~~ THEN REPLY @106 GOTO Brukra51
END

IF ~~ THEN BEGIN Brukra51 // from:
  SAY @107
  IF ~~ THEN REPLY @108 GOTO Brukra52
  IF ~~ THEN REPLY @109 GOTO Brukra53
END

IF ~~ THEN BEGIN Brukra52 // from:
  SAY @110
  IF ~~ THEN REPLY @111 GOTO Brukra53
END

IF ~~ THEN BEGIN Brukra53 // from:
  SAY @112 = @98 = @99 = @379
  IF ~~ THEN REPLY @100 GOTO Brukra47
END


IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",18)~ THEN BEGIN Brukra54 // from:
  SAY @113
  IF ~~ THEN REPLY @114 GOTO Brukra55
  IF ~~ THEN REPLY @115 GOTO Brukra60
  IF ~~ THEN REPLY @116 GOTO Brukra63
END

IF ~~ THEN BEGIN Brukra55 // from:
  SAY @117
  IF ~~ THEN REPLY @118 GOTO Brukra56
END

IF ~~ THEN BEGIN Brukra56 // from:
  SAY @119
  IF ~~ THEN REPLY @120 GOTO Brukra57
END

IF ~~ THEN BEGIN Brukra57 // from:
  SAY @121 = @381 = @382
  IF ~~ THEN REPLY @122 GOTO Brukra58
  IF ~~ THEN REPLY @123 GOTO Brukra59
END

IF ~~ THEN BEGIN Brukra58 // from:
  SAY @124
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra59 // from:
  SAY @125
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra60 // from:
  SAY @126
  IF ~~ THEN REPLY @127 GOTO Brukra61
END

IF ~~ THEN BEGIN Brukra61 // from:
  SAY @128
  IF ~~ THEN REPLY @129 GOTO Brukra62
END

IF ~~ THEN BEGIN Brukra62 // from:
  SAY @130
  IF ~~ THEN REPLY @131 GOTO Brukra56
END

IF ~~ THEN BEGIN Brukra63 // from:
  SAY @132
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

//--------------10번째x2-------------

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",20)~ THEN BEGIN 64f // from:
  SAY @133
  IF ~~ THEN REPLY @134 GOTO Brukra65
  IF ~~ THEN REPLY @135 GOTO Brukra66
  IF ~~ THEN REPLY @136 GOTO Brukra69
END

IF ~~ THEN BEGIN Brukra65 // from:
  SAY @137 = @138
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END


IF ~~ THEN BEGIN Brukra66 // from:
  SAY @139
  IF ~~ THEN REPLY @140 GOTO Brukra69
  IF ~~ THEN REPLY @141 GOTO Brukra67
END

IF ~~ THEN BEGIN Brukra67 // from:
  SAY @142
  IF ~~ THEN REPLY @143 GOTO Brukra68
END

IF ~~ THEN BEGIN Brukra68 // from:
  SAY @144 = @145
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra69 // from:
  SAY @146
  IF ~~ THEN REPLY @147 GOTO Brukra70
END

IF ~~ THEN BEGIN Brukra70 // from:
  SAY @148 = @149 = @150
  IF ~~ THEN REPLY @151 GOTO Brukra71
  IF ~~ THEN REPLY @152 GOTO Brukra72
END

IF ~~ THEN BEGIN Brukra71 // from:
  SAY @153
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra72 // from:
  SAY @154
  IF ~~ THEN EXIT
END

//--------------12번째x2-------------

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",24)
 Global("RukrakiaMageCome","GLOBAL",17)~ THEN BEGIN Brukra73 // from:
  SAY @155
  IF ~~ THEN REPLY @156 GOTO Brukra74
END

IF ~~ THEN BEGIN Brukra74 // from:
  SAY @157 = @158 = @159 = @160 = @161 = @162  = @163
  IF ~~ THEN REPLY @164 GOTO Brukra75
END

IF ~~ THEN BEGIN Brukra75 // from:
  SAY @165 = @166 = @167 = @168 = @169
  IF ~!Global("RukrakiaMageCome","GLOBAL",18)~ THEN REPLY @170 GOTO Brukra76
  IF ~!Global("RukrakiaMageCome","GLOBAL",18)~ THEN REPLY @383 GOTO Brukra76
  IF ~Global("RukrakiaMageCome","GLOBAL",18)~ THEN GOTO Brukra81
END

IF ~~ THEN BEGIN Brukra76 // from:
  SAY @171 = @172
  IF ~~ THEN REPLY @173 GOTO Brukra77
  IF ~~ THEN REPLY @384 GOTO Brukra77
END

IF ~~ THEN BEGIN Brukra77 // from:
  SAY @174 = @175
  IF ~~ THEN REPLY @176 GOTO Brukra78
  IF ~~ THEN REPLY @177 GOTO Brukra79
  IF ~~ THEN REPLY @178 GOTO Brukra80
END

IF ~~ THEN BEGIN Brukra78 // from:
  SAY @179
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra79 // from:
  SAY @180 = @181
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra80 // from:
  SAY @182
  IF ~~ THEN REPLY @183 EXIT
END

IF ~~ THEN BEGIN Brukra81 // from:
  SAY @184
  IF ~~ THEN REPLY @185 GOTO Brukra82
  IF ~~ THEN REPLY @186 GOTO Brukra82
END

IF ~~ THEN BEGIN Brukra82 // from:
  SAY @187 = @188
  IF ~~ THEN REPLY @189 GOTO Brukra83
END

IF ~~ THEN BEGIN Brukra83 // from:
  SAY @190
  IF ~~ THEN REPLY @191 GOTO Brukra84
  IF ~~ THEN REPLY @194 GOTO Brukra85
END

IF ~~ THEN BEGIN Brukra84 // from:
  SAY @192 = @193
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra85 // from:
  SAY @195 = @196 = @197
  IF ~~ THEN EXIT
END

//--------------13번째x2-------------

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",26)~ THEN BEGIN Brukra86 // from:
  SAY @198
  IF ~~ THEN REPLY @199 GOTO Brukra87
  IF ~~ THEN REPLY @200 GOTO Brukra88
END

IF ~~ THEN BEGIN Brukra87 // from:
  SAY @201 = @202 = @203 = @204 = @205 = @206
  IF ~~ THEN REPLY @209 GOTO Brukra89
  IF ~~ THEN REPLY @210 GOTO Brukra90
END

IF ~~ THEN BEGIN Brukra88 // from:
  SAY @207 = @208
  IF ~~ THEN GOTO Brukra87
END

IF ~~ THEN BEGIN Brukra89 // from:
  SAY @211
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra90 // from:
  SAY @212 = @213 = @214
  IF ~~ THEN REPLY @215 GOTO Brukra91
  IF ~~ THEN REPLY @217 GOTO Brukra92
END

IF ~~ THEN BEGIN Brukra91 // from:
  SAY @216 = @380
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra92 // from:
  SAY @218
  IF ~~ THEN REPLY @219 GOTO Brukra93
END

IF ~~ THEN BEGIN Brukra93 // from:
  SAY @220
  IF ~~ THEN REPLY @221 GOTO Brukra94
  IF ~~ THEN REPLY @222 GOTO Brukra95
END

IF ~~ THEN BEGIN Brukra94 // from:
  SAY @223
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra95 // from:
  SAY @224 = @225 = @226
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

//--------------14번째x2-------------

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",28)~ THEN BEGIN Brukra96 // from:
  SAY @227
  IF ~~ THEN REPLY @228 GOTO Brukra97
END

IF ~~ THEN BEGIN Brukra97 // from:
  SAY @229
  IF ~~ THEN REPLY @230 GOTO Brukra98
END

IF ~~ THEN BEGIN Brukra98 // from:
  SAY @231 = @232 = @233
  IF ~~ THEN REPLY @234 GOTO Brukra99
  IF ~~ THEN REPLY @235 GOTO Brukra102
END

IF ~~ THEN BEGIN Brukra99 // from:
  SAY @236
  IF ~~ THEN REPLY @237 GOTO Brukra100
END

IF ~~ THEN BEGIN Brukra100 // from:
  SAY @238 = @239 = @240 = @241 = @242 = @243 = @244 = @245
  IF ~~ THEN REPLY @246 GOTO Brukra101
END

IF ~~ THEN BEGIN Brukra101 // from:
  SAY @247 = @248
  IF ~~ THEN REPLY @249 EXIT
END

IF ~~ THEN BEGIN Brukra102 // from:
  SAY @250 = @251
  IF ~~ THEN REPLY @237 GOTO Brukra100
END

//--------------15번째x2-------------

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",30)~ THEN BEGIN Brukra106 // from:
  SAY @300
  IF ~~ THEN REPLY @301 GOTO Brukra107
END

IF ~~ THEN BEGIN Brukra107 // from:
  SAY @302
  IF ~~ THEN REPLY @303 GOTO Brukra108
END

IF ~~ THEN BEGIN Brukra108 // from:
  SAY @304
  IF ~~ THEN REPLY @305 GOTO Brukra109
  IF ~~ THEN REPLY @306 GOTO Brukra111
END

IF ~~ THEN BEGIN Brukra109 // from:
  SAY @307
  IF ~~ THEN REPLY @308 GOTO Brukra110
  IF ~~ THEN REPLY @309 GOTO Brukra111
END

IF ~~ THEN BEGIN Brukra110 // from:
  SAY @310
  IF ~~ THEN DO ~SetGlobal("RukLoveTwiceFailure","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra111 // from:
  SAY @311 = @312 = @313 = @314 = @315
  IF ~~ THEN GOTO Brukra112
END

IF ~~ THEN BEGIN Brukra112 // from:
  SAY @317
  IF ~~ THEN EXIT
END

//--------------16번째x2-------------

IF ~ !StateCheck(Protagonist,STATE_SLEEPING)
 Global("LoveTalk","LOCALS",32)~ THEN BEGIN Brukra113 // from:
  SAY @318 = @319 = @320 = @321
  IF ~~ THEN DO ~StartCutSceneMode()
                 StartCutScene("rukfix1")~ EXIT
END

IF ~~ THEN BEGIN Brukra114 // from:
  SAY @325
  IF ~~ THEN REPLY @326 GOTO Brukra115
  IF ~~ THEN REPLY @327 GOTO Brukra118
END

IF ~~ THEN BEGIN Brukra115 // from:
  SAY @328
  IF ~~ THEN REPLY @329 GOTO Brukra118
  IF ~!Global("RukLoveTwiceFailure","GLOBAL",1)~ THEN REPLY @330 GOTO Brukra117
  IF ~Global("RukLoveTwiceFailure","GLOBAL",1)~ THEN REPLY @330 GOTO Brukra116
END

IF ~~ THEN BEGIN Brukra116 // from:
  SAY @331 = @332 = @333 = @335
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra117 // from:
  SAY @334
  IF ~~ THEN DO ~SetGlobal("RukLoveTwiceFailure","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN Brukra118 // from:
  SAY @336
  IF ~~ THEN REPLY @337 DO ~SetGlobal("RukLoveTwiceFailure","GLOBAL",0)~ GOTO Brukra119
  IF ~~ THEN REPLY @338 GOTO Brukra120
END

IF ~~ THEN BEGIN Brukra119 // from:
  SAY @339
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Brukra120 // from:
  SAY @340
  IF ~~ THEN EXIT
END

//--------------메인스토리-------------

IF ~~ THEN BEGIN rukp3
  SAY @261
  IF ~~ THEN REPLY @262 GOTO dizzy1
  IF ~~ THEN REPLY @263 GOTO dizzy2
  IF ~~ THEN REPLY @264 GOTO dizzy3
END

IF ~~ THEN BEGIN dizzy1
  SAY @265
  IF ~~ THEN DO ~MoveToObject(Protagonist)~ EXIT
END

IF ~~ THEN BEGIN dizzy2
  SAY @266
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN dizzy3
  SAY @267= @268 = @269
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN rukp5
  SAY @270
    = @271
    = @272
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN rukp7
  SAY @256
  IF ~~ THEN REPLY @257 DO ~SetGlobal("EndangerLovedOne","GLOBAL",17)~ GOTO change1
  IF ~~ THEN REPLY @258 DO ~SetGlobal("EndangerLovedOne","GLOBAL",17)~ GOTO change1
  IF ~~ THEN REPLY @259 DO ~SetGlobal("EndangerLovedOne","GLOBAL",17)~ GOTO change1
END

IF ~~ THEN BEGIN change1
  SAY @260
  IF ~~ THEN DO ~ActionOverride(Player1,ReallyForceSpell(Myself,SLAYER_CHANGE))~ EXIT
END

IF ~~ THEN BEGIN rukp10
  SAY @254
    = @255
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN rukp16
  SAY @282
  COPY_TRANS player1 16
END

IF ~~ THEN BEGIN rukp25
  SAY @252 = @253
COPY_TRANS player1 25
END

IF ~~ THEN BEGIN ruk102f // from:
  SAY @285 = @286 = @287
  IF ~~ THEN REPLY @288 GOTO Brukra103
END

IF ~~ THEN BEGIN Brukra103 // from:
  SAY @289 = @290
  COPY_TRANS player1 33
END

IF ~~ THEN BEGIN Brukra104 // from:
  SAY @295 = @296 = @297
  COPY_TRANS player1 33
END

IF ~~ THEN BEGIN BrukraNPC105
  SAY @387 = @388
  IF ~~ THEN EXTERN ~BAERIE~ Brukaerie1#1
END

IF ~~ THEN BEGIN BrukraNPC106
  SAY @390 = @391
  IF ~~ THEN EXTERN ~BAERIE~ Brukaerie1#2
END

IF ~~ THEN BEGIN BrukraNPC107
  SAY @393
  IF ~~ THEN EXTERN ~BAERIE~ Brukaerie1#3
END

IF ~~ THEN BEGIN BrukraNPC108
  SAY @396 = @397
  IF ~~ THEN EXTERN ~BVICONI~ BrukVICONI1#1
END

IF ~~ THEN BEGIN BrukraNPC109
  SAY @399
  IF ~~ THEN EXTERN ~BVICONI~ BrukVICONI1#2
END

IF ~~ THEN BEGIN BrukraNPC110
  SAY @401
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN BrukraNPC111
  SAY @403
  IF ~~ THEN EXTERN ~BVICONI~ BrukVICONI2#1
END

IF ~~ THEN BEGIN BrukraNPC112
  SAY @406 = @407
  IF ~~ THEN EXTERN ~BVICONI~ BrukVICONI2#2
END

IF ~~ THEN BEGIN BrukraNPC113
  SAY @411
  IF ~~ THEN EXTERN ~BJAHEIR~ BrukJAHEIR1#1
END

IF ~~ THEN BEGIN BrukraNPC114f
  SAY @414
  IF ~~ THEN EXTERN ~BJAHEIR~ BrukJAHEIR1#2
END

IF ~~ THEN BEGIN BrukraNPC115
  SAY @416
  IF ~~ THEN DO ~ApplySpellRES("ruksnw4",Myself)~ EXIT
END

IF ~See("ANOMEN")
    InParty("ANOMEN")
    !StateCheck("ANOMEN",STATE_SLEEPING)
    Global("BrukraANOMEN1","LOCALS",0)~ THEN BEGIN BrukraNPC116
  SAY @417
  IF ~~ THEN DO ~SetGlobal("BrukraANOMEN1","LOCALS",1)~ EXTERN ~BANOMEN~ BrukANOMEN1#0
END

IF ~~ THEN BEGIN BrukraNPC117
  SAY @420
  IF ~~ THEN EXTERN ~BANOMEN~ BrukANOMEN1#1
END

IF ~~ THEN BEGIN BrukraNPC118
  SAY @422
  IF ~~ THEN EXTERN ~BANOMEN~ BrukANOMEN1#2
END

IF ~~ THEN BEGIN BrukraNPC119
  SAY @425
  IF ~~ THEN EXTERN ~BKELDOR~ BrukKELDOR1#1
END

IF ~~ THEN BEGIN BrukraNPC120
  SAY @428 = @429
  IF ~~ THEN EXTERN ~BKELDOR~ BrukKELDOR1#2
END

IF ~~ THEN BEGIN BrukraNPC121
  SAY @433
  IF ~~ THEN EXTERN ~BJAN~ BrukJAN1#1
END

IF ~~ THEN BEGIN BrukraNPC122
  SAY @439
  IF ~~ THEN EXTERN ~BJAN~ BrukJAN1#2
END

IF ~~ THEN BEGIN BrukraNPC123
  SAY @442
  IF ~~ THEN EXTERN ~BKORGAN~ BrukKORGAN1#1
END

IF ~~ THEN BEGIN BrukraNPC124
  SAY @444
  IF ~~ THEN EXTERN ~BKORGAN~ BrukKORGAN1#2
END

IF ~~ THEN BEGIN BrukraNPC125
  SAY @447
  IF ~~ THEN EXTERN ~BKORGAN~ BrukKORGAN2#1
END

IF ~~ THEN BEGIN BrukraNPC126
  SAY @449
  IF ~~ THEN EXTERN ~BKORGAN~ BrukKORGAN2#2
END

IF ~See("MINSC")
    InParty("MINSC")
    !StateCheck("MINSC",STATE_SLEEPING)
    Global("BrukraMINSC1","LOCALS",0)~ THEN BEGIN BrukraNPC127
  SAY @451
  IF ~~ THEN DO ~SetGlobal("BrukraMINSC1","LOCALS",1)~ EXTERN ~BMINSC~ BrukMINSC1#0
END

IF ~~ THEN BEGIN BrukraNPC128
  SAY @454
  IF ~~ THEN EXTERN ~BMINSC~ BrukMINSC1#1
END

IF ~See("MINSC")
    InParty("MINSC")
    !StateCheck("MINSC",STATE_SLEEPING)
    Global("BrukraMINSC1","LOCALS",1)~ THEN BEGIN BrukraNPC129
  SAY @457
  IF ~~ THEN DO ~SetGlobal("BrukraMINSC1","LOCALS",2)~ EXTERN ~BMINSC~ BrukMINSC2#0
END

IF ~~ THEN BEGIN BrukraNPC130
  SAY @459
  IF ~~ THEN EXTERN ~BMINSC~ BrukMINSC2#1
END

IF ~~ THEN BEGIN BrukraNPC131
  SAY @462
  IF ~~ THEN EXTERN ~BMINSC~ BrukMINSC2#2
END

IF ~See("NALIA")
    InParty("NALIA")
    !StateCheck("NALIA",STATE_SLEEPING)
    Global("BrukraNALIA1","LOCALS",0)~ THEN BEGIN BrukraNPC132
  SAY @464
  IF ~~ THEN DO ~SetGlobal("BrukraNALIA1","LOCALS",1)~ EXTERN ~BNALIA~ BrukNALIA1#0
END

IF ~~ THEN BEGIN BrukraNPC133
  SAY @466
  IF ~~ THEN EXTERN ~BNALIA~ BrukNALIA1#1
END

IF ~~ THEN BEGIN BrukraNPC134
  SAY @468
  IF ~~ THEN EXTERN ~BNALIA~ BrukNALIA1#2
END

IF ~~ THEN BEGIN BrukraNPC135
  SAY @471
  IF ~~ THEN EXTERN ~BEDWIN~ BrukEDWIN1#1
END

IF ~~ THEN BEGIN BrukraNPC136
  SAY @473
  IF ~~ THEN EXTERN ~BEDWIN~ BrukEDWIN1#2
END

IF ~~ THEN BEGIN BrukraNPC137
  SAY @479
  IF ~~ THEN EXTERN ~BEDWIN~ BrukEDWIN1#3
END

IF ~~ THEN BEGIN BrukraNPC138
  SAY @481 = @482
  IF ~~ THEN EXTERN ~BEDWIN~ BrukEDWIN1#4
END

IF ~~ THEN BEGIN BrukraNPC139
  SAY @485
  IF ~~ THEN EXTERN ~BEDWIN~ BrukEDWIN1#5
END

IF ~~ THEN BEGIN BrukraNPC140
  SAY @489
  IF ~~ THEN EXTERN ~BCERND~ BrukCERND1#1
END

IF ~~ THEN BEGIN BrukraNPC141
  SAY @491
  IF ~~ THEN EXTERN ~BCERND~ BrukCERND1#2
END

IF ~~ THEN BEGIN BrukraNPC142
  SAY @493
  IF ~~ THEN EXTERN ~BCERND~ BrukCERND1#3
END

IF ~~ THEN BEGIN BrukraNPC143
  SAY @497
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN BrukraNPC144
  SAY @499
  IF ~~ THEN EXTERN ~BHAERDA~ BrukHAERDA1#1
END

IF ~~ THEN BEGIN BrukraNPC145
  SAY @501
  IF ~~ THEN EXTERN ~BHAERDA~ BrukHAERDA1#2
END

IF ~~ THEN BEGIN BrukraNPC146
  SAY @506
  IF ~~ THEN EXTERN ~BVALYGA~ BrukVALYGA1#1
END

IF ~~ THEN BEGIN BrukraNPC147
  SAY @508
  IF ~~ THEN EXTERN ~BVALYGA~ BrukVALYGA1#2
END

IF ~~ THEN BEGIN BrukraNPC148
  SAY @510
  IF ~~ THEN EXTERN ~BVALYGA~ BrukVALYGA1#3
END

IF ~~ THEN BEGIN BrukraNPC149
  SAY @512 = @513 = @514 = @515
  IF ~~ THEN EXTERN ~BVALYGA~ BrukVALYGA1#4
END

IF ~~ THEN BEGIN BrukraNPC150
  SAY @518
  IF ~~ THEN EXTERN ~BMAZZY~ BrukMAZZY1#1
END

IF ~~ THEN BEGIN BrukraNPC151
  SAY @521
  IF ~~ THEN EXTERN ~BMAZZY~ BrukMAZZY1#2
END

IF ~~ THEN BEGIN BrukraNPC152
  SAY @525
  IF ~~ THEN EXIT
END

IF ~InParty("Edwin")
    See("Edwin")
    Gender("Edwin",FEMALE)
    Global("RukrakiaPokesEdwin","LOCALS",0)~ THEN BEGIN BrukraNPC153
  SAY @526
  IF ~~ THEN DO ~IncrementGlobal("RukrakiaPokesEdwin","LOCALS",1)~ EXTERN ~BEDWIN~ BrukEDWIN2#0
END

IF ~~ THEN BEGIN BrukraNPC154
  SAY @528
  IF ~~ THEN EXTERN ~BEDWIN~ BrukEDWIN2#1
END

IF ~InParty("Edwin")
    See("Edwin")
    Gender("Edwin",FEMALE)
    Global("RukrakiaPokesEdwin","LOCALS",1)~ THEN BEGIN BrukraNPC155
  SAY @531
  IF ~~ THEN DO ~IncrementGlobal("RukrakiaPokesEdwin","LOCALS",1)~ EXTERN ~BEDWIN~ BrukEDWIN3#0
END

IF ~~ THEN BEGIN BrukraNPC156
  SAY @534
  IF ~~ THEN EXIT
END

APPEND BAERIE
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraAerie1","LOCALS",0)~ THEN BEGIN Brukaerie1#0
  SAY @385 = @386
  IF ~~ THEN DO ~SetGlobal("BrukraAerie1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC105
END

IF ~~ THEN BEGIN Brukaerie1#1
  SAY @389
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC106
END

IF ~~ THEN BEGIN Brukaerie1#2
  SAY @392
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC107
END

IF ~~ THEN BEGIN Brukaerie1#3
  SAY @394
  IF ~~ THEN EXIT
END
END

APPEND BVICONI
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraVICONI1","LOCALS",0)~ THEN BEGIN BrukVICONI1#0
  SAY @395
  IF ~~ THEN DO ~SetGlobal("BrukraVICONI1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC108
END

IF ~~ THEN BEGIN BrukVICONI1#1
  SAY @398
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC109
END

IF ~~ THEN BEGIN BrukVICONI1#2
  SAY @400
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC110
END

IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraVICONI1","LOCALS",1)
    GlobalGT("RukrakiaRomanceActive","GLOBAL",2)~ THEN BEGIN BrukVICONI2#0
  SAY @402
  IF ~~ THEN DO ~SetGlobal("BrukraVICONI1","LOCALS",2)~ EXTERN ~Brukra~ BrukraNPC111
END

IF ~~ THEN BEGIN BrukVICONI2#1
  SAY @404 = @405
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC112
END

IF ~~ THEN BEGIN BrukVICONI2#2
  SAY @408 = @409
  IF ~~ THEN EXIT
END
END

APPEND BJAHEIR
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraJAHEIR1","LOCALS",0)~ THEN BEGIN BrukJAHEIR1#0
  SAY @410
  IF ~~ THEN DO ~SetGlobal("BrukraJAHEIR1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC113
END

IF ~~ THEN BEGIN BrukJAHEIR1#1
  SAY @412 = @413
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC114f
END

IF ~~ THEN BEGIN BrukJAHEIR1#2
  SAY @415
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC115
END
END

APPEND BANOMEN
IF ~~ THEN BEGIN BrukANOMEN1#0
  SAY @418 = @419
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC117
END

IF ~~ THEN BEGIN BrukANOMEN1#1
  SAY @421
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC118
END

IF ~~ THEN BEGIN BrukANOMEN1#2
  SAY @423
  IF ~~ THEN EXIT
END
END

APPEND BKELDOR
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraKELDOR1","LOCALS",0)~ THEN BEGIN BrukKELDOR1#0
  SAY @424
  IF ~~ THEN DO ~SetGlobal("BrukraKELDOR1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC119
END

IF ~~ THEN BEGIN BrukKELDOR1#1
  SAY @426 = @427
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC120
END

IF ~~ THEN BEGIN BrukKELDOR1#2
  SAY @430 = @431
  IF ~~ THEN EXIT
END
END

APPEND BJAN
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraJAN1","LOCALS",0)~ THEN BEGIN BrukJAN1#0
  SAY @432
  IF ~~ THEN DO ~SetGlobal("BrukraJAN1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC121
END

IF ~~ THEN BEGIN BrukJAN1#1
  SAY @434 = @435 = @436 = @437 = @438
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC122
END

IF ~~ THEN BEGIN BrukJAN1#2
  SAY @440
  IF ~~ THEN EXIT
END
END

APPEND BKORGAN
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraKORGAN1","LOCALS",0)~ THEN BEGIN BrukKORGAN1#0
  SAY @441
  IF ~~ THEN DO ~SetGlobal("BrukraKORGAN1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC123
END

IF ~~ THEN BEGIN BrukKORGAN1#1
  SAY @443
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC124
END

IF ~~ THEN BEGIN BrukKORGAN1#2
  SAY @445
  IF ~~ THEN EXIT
END

IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraKORGAN1","LOCALS",1)~ THEN BEGIN BrukKORGAN2#0
  SAY @446
  IF ~~ THEN DO ~SetGlobal("BrukraKORGAN1","LOCALS",2)~ EXTERN ~Brukra~ BrukraNPC125
END

IF ~~ THEN BEGIN BrukKORGAN2#1
  SAY @448
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC126
END

IF ~~ THEN BEGIN BrukKORGAN2#2
  SAY @450
  IF ~~ THEN DO ~SetLeavePartyDialogFile()
                 LeaveParty()
                 ChangeAIScript("",DEFAULT)
                 Enemy()
                 Attack("rukrakia")~ EXIT
END
END

APPEND BMINSC
IF ~~ THEN BEGIN BrukMINSC1#0
  SAY @452 = @453
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC128
END

IF ~~ THEN BEGIN BrukMINSC1#1
  SAY @455 = @456
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN BrukMINSC2#0
  SAY @458
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC130
END

IF ~~ THEN BEGIN BrukMINSC2#1
  SAY @460 = @461
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC131
END

IF ~~ THEN BEGIN BrukMINSC2#2
  SAY @463
  IF ~PartyGoldGT(0)~ THEN DO ~TakePartyGold(1)~ EXIT
  IF ~!PartyGoldGT(0)~ THEN GOTO BrukMINSC2#3
END

IF ~~ THEN BEGIN BrukMINSC2#3
  SAY @484
  IF ~~ THEN EXIT
END
END

APPEND BNALIA
IF ~~ THEN BEGIN BrukNALIA1#0
  SAY @465
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC133
END

IF ~~ THEN BEGIN BrukNALIA1#1
  SAY @467
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC134
END

IF ~~ THEN BEGIN BrukNALIA1#2
  SAY @469
  IF ~~ THEN EXIT
END
END

APPEND BEDWIN
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraEDWIN1","LOCALS",0)~ THEN BEGIN BrukEDWIN1#0
  SAY @470
  IF ~~ THEN DO ~SetGlobal("BrukraEDWIN1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC135
END

IF ~~ THEN BEGIN BrukEDWIN1#1
  SAY @472
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC136
END

IF ~~ THEN BEGIN BrukEDWIN1#2
  SAY @474 = @475 = @476 = @477 = @478
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC137
END

IF ~~ THEN BEGIN BrukEDWIN1#3
  SAY @480
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC138
END

IF ~~ THEN BEGIN BrukEDWIN1#4
  SAY @483
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC139
END

IF ~~ THEN BEGIN BrukEDWIN1#5
  SAY @486 = @487
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN BrukEDWIN2#0
  SAY @527
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC154
END

IF ~~ THEN BEGIN BrukEDWIN2#1
  SAY @529 = @530
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN BrukEDWIN3#0
  SAY @532 = @533
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC156
END
END

APPEND BCERND
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraCERND1","LOCALS",0)~ THEN BEGIN BrukCERND1#0
  SAY @488
  IF ~~ THEN DO ~SetGlobal("BrukraCERND1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC140
END

IF ~~ THEN BEGIN BrukCERND1#1
  SAY @490
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC141
END

IF ~~ THEN BEGIN BrukCERND1#2
  SAY @492
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC142
END

IF ~~ THEN BEGIN BrukCERND1#3
  SAY @494 = @495 = @496
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC143
END
END

APPEND BHAERDA
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraHAERDA1","LOCALS",0)~ THEN BEGIN BrukHAERDA1#0
  SAY @498
  IF ~~ THEN DO ~SetGlobal("BrukraHAERDA1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC144
END

IF ~~ THEN BEGIN BrukHAERDA1#1
  SAY @500
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC145
END

IF ~~ THEN BEGIN BrukHAERDA1#2
  SAY @502 = @503 = @504
  IF ~~ THEN EXIT
END
END

APPEND BVALYGA
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraVALYGA1","LOCALS",0)~ THEN BEGIN BrukVALYGA1#0
  SAY @505
  IF ~~ THEN DO ~SetGlobal("BrukraVALYGA1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC146
END

IF ~~ THEN BEGIN BrukVALYGA1#1
  SAY @507
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC147
END

IF ~~ THEN BEGIN BrukVALYGA1#2
  SAY @509
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC148
END

IF ~~ THEN BEGIN BrukVALYGA1#3
  SAY @511
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC149
END

IF ~~ THEN BEGIN BrukVALYGA1#4
  SAY @516
  IF ~~ THEN EXIT
END
END

APPEND BMAZZY
IF ~See("rukrakia")
    InParty("rukrakia")
    !StateCheck("rukrakia",STATE_SLEEPING)
    Global("BrukraMAZZY1","LOCALS",0)~ THEN BEGIN BrukMAZZY1#0
  SAY @517
  IF ~~ THEN DO ~SetGlobal("BrukraMAZZY1","LOCALS",1)~ EXTERN ~Brukra~ BrukraNPC150
END

IF ~~ THEN BEGIN BrukMAZZY1#1
  SAY @519 = @520
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC151
END

IF ~~ THEN BEGIN BrukMAZZY1#2
  SAY @522 = @523 = @524
  IF ~~ THEN EXTERN ~Brukra~ BrukraNPC152
END
END

EXTEND_TOP player1 7
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",1)
IsValidForPartyDialogue("rukrakia")~ THEN EXTERN ~brukra~ rukp7
END

EXTEND_TOP player1 10
  IF ~Global("EndangerLovedOne","GLOBAL",17)
IsValidForPartyDialogue("rukrakia")~ THEN DO ~SetGlobal("DrowTalk","GLOBAL",5)~ EXTERN ~brukra~ rukp10
END

EXTEND_TOP player1 10
  IF ~Global("EndangerLovedOne","GLOBAL",17)
!IsValidForPartyDialogue("rukrakia")~ THEN DO ~SetGlobal("DrowTalk","GLOBAL",5)~ EXTERN ~player1~ 12
END

CHAIN ~c6drizz1~ 46
@273
== ~c6drizz1~ @274
== ~Brukra~ @275
== ~c6drizz1~ @276
== ~Brukra~ @277
== ~c6bruen1~ @278 = @279
== ~c6catti1~ @280
== ~c6drizz1~ @281
END ~c6drizz1~ 47

ADD_TRANS_TRIGGER player1 5 ~!IsValidForPartyDialogue("rukrakia")~
EXTEND_TOP player1 5 #1
  IF ~IsValidForPartyDialogue("rukrakia")~ THEN EXTERN ~brukra~ rukp5
END

ADD_TRANS_TRIGGER player1 3 ~!IsValidForPartyDialogue("rukrakia")~
EXTEND_TOP player1 3 #1
  IF ~IsValidForPartyDialogue("rukrakia")~ THEN DO ~SetGlobal("SelfTalk","GLOBAL",2)~ EXTERN ~brukra~ rukp3
END

ADD_TRANS_TRIGGER player1 16 ~!IsValidForPartyDialog("rukrakia")~
EXTEND_TOP player1 16 #1
  IF ~IsValidForPartyDialog("rukrakia") Global("M#RukTalkPlayer1_3","LOCALS",0)~ THEN DO ~SetGlobal("M#RukTalkPlayer1_3","LOCALS",1) SetGlobal("IrenicusBeat","AR2806",2)
SetGlobal("HadPeopleBeforeHell","LOCALS",1)~ EXTERN ~brukra~ rukp16
END

ADD_TRANS_TRIGGER player1 25 ~!IsValidForPartyDialog("rukrakia")~
EXTEND_TOP player1 25 #1
  IF ~IsValidForPartyDialog("rukrakia") Global("M#RukTalkPlayer1_2","LOCALS",0)~ THEN DO ~SetGlobal("M#RukTalkPlayer1_2","LOCALS",1)~ EXTERN ~brukra~ rukp25
END

INTERJECT_COPY_TRANS brukra Brukra111 rukminsc2
== minscj IF ~IsValidForPartyDialog("minsc")~
THEN @316
END

INTERJECT_COPY_TRANS HELLJON 7 rukHELLJON1
== BRUKRA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @298 = @299
END

INTERJECT_COPY_TRANS HELLJON 8 rukHELLJON2
== BRUKRA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @341 = @342
END

INTERJECT_COPY_TRANS HELLJON 9 rukHELLJON3
== BRUKRA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @343 = @344
END

INTERJECT_COPY_TRANS HELLJON 10 rukHELLJON4
== BRUKRA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @345
END

EXTEND_BOTTOM player1 33
  IF ~IsValidForPartyDialog("rukrakia") Global("RukrakiaRomanceActive","GLOBAL",5) Global("M#RukTalkPlayer1_1","LOCALS",0)~ THEN DO ~SetGlobal("M#RukTalkPlayer1_1","LOCALS",1)~ EXTERN ~player1~ rukp331
  IF ~IsValidForPartyDialog("rukrakia") !Global("RukrakiaRomanceActive","GLOBAL",5) Global("M#RukTalkPlayer1_1","LOCALS",0)~ THEN DO ~SetGlobal("M#RukTalkPlayer1_1","LOCALS",1)~ EXTERN ~player1~ rukp332
END

APPEND Player1
IF ~Global("RukrakiaGetFirst","GLOBAL",1)~ BEGIN rukgetfirst
  SAY @322
  IF ~~ THEN REPLY @323 EXTERN ~Brukra~ Brukra114
  IF ~~ THEN REPLY @324 EXTERN ~Brukra~ Brukra114
END
END

APPEND player1
  IF ~~ THEN BEGIN rukp331
    SAY @283
    IF ~~ THEN REPLY @284 EXTERN ~Brukra~ ruk102f
  END

  IF ~~ THEN BEGIN rukp332
    SAY @291
    IF ~~ THEN REPLY @292 EXTERN ~Brukra~ Brukra104
    IF ~~ THEN REPLY @293 EXTERN ~Brukra~ Brukra104
    IF ~~ THEN REPLY @294 EXTERN ~Brukra~ Brukra104
  END
END